//
// named.conf
//
options {
  listen-on port 53 { any; };
  listen-on-v6 port 53 { ::1; };
  directory   "/var/cache/bind";
  dump-file   "/var/cache/bind/data/cache_dump.db";
  statistics-file "/var/cache/bind/data/named_stats.txt";
  memstatistics-file "/var/cache/bind/data/named_mem_stats.txt";
  allow-query     { any; };
  allow-transfer { none; };


  recursion no;
    
  dnssec-validation False;

  pid-file "/run/named/named.pid";
  session-keyfile "/run/named/session.key";

  querylog yes;
};

statistics-channels {
  inet 0.0.0.0 port 8053 allow { 193.55.95.155; 193.55.95.47; 193.55.95.51; 193.55.95.48; 193.55.95.71; 193.55.95.87; 193.55.95.88; };
};

logging {
  channel default_debug {
    file "/var/log/bind9/named.run";
    severity dynamic;
    print-time yes;
  };
  channel querylog {
    file "/var/log/bind9/query.log" versions 600 size 20m;
    severity dynamic;
    print-time yes;
  };
  category queries { querylog; };
};

include "/etc/bind/named.conf.default-zones";
include "/etc/bind/auth_transfer.conf";



zone "isima.fr" IN {
  type master;
  file "/var/cache/bind/isima.fr";
  notify explicit;
  allow-transfer {
    key ns_master1-ns1.;
  };
  also-notify {
    193.55.95.200 key ns_master1-ns1.;
    87.98.170.150 key ns_master1-ns1.;
  };
  allow-update { none; };
};

zone "95.55.193.in-addr.arpa" IN {
  type master;
  file "/var/cache/bind/95.55.193.in-addr.arpa";
  notify explicit;
  allow-transfer {
    key ns_master1-ns1.;
  };
  also-notify {
    193.55.95.200 key ns_master1-ns1.;
    87.98.170.150 key ns_master1-ns1.;
  };
  allow-update { none; };
};

zone "98.87.in-addr.arpa" IN {
  type master;
  file "/var/cache/bind/98.87.in-addr.arpa";
  notify explicit;
  allow-transfer {
    key ns_master1-ns1.;
  };
  also-notify {
    193.55.95.200 key ns_master1-ns1.;
    87.98.170.150 key ns_master1-ns1.;
  };
  allow-update { none; };
};

zone "13.36.54.in-addr.arpa" IN {
  type master;
  file "/var/cache/bind/13.36.54.in-addr.arpa";
  notify explicit;
  allow-transfer {
    key ns_master1-ns1.;
  };
  also-notify {
    193.55.95.200 key ns_master1-ns1.;
    87.98.170.150 key ns_master1-ns1.;
  };
  allow-update { none; };
};

zone "57.59.37.in-addr.arpa" IN {
  type master;
  file "/var/cache/bind/57.59.37.in-addr.arpa";
  notify explicit;
  allow-transfer {
    key ns_master1-ns1.;
  };
  also-notify {
    193.55.95.200 key ns_master1-ns1.;
    87.98.170.150 key ns_master1-ns1.;
  };
  allow-update { none; };
};



zone "limos.fr" IN {
  type master;
  file "/var/cache/bind/limos.fr";
  notify explicit;
  allow-transfer {
    key ns_master1-ns1.;
  };
  also-notify {
    193.55.95.200 key ns_master1-ns1.;
    10.10.1.6 key ns_master1-ns1.;
  };
  allow-update { none; };
};



zone "etu.isima.fr" IN {
  type master;
  file "/var/cache/bind/etu.isima.fr";
  notify explicit;
  allow-transfer {
    key ns_master1-ns1.;
  };
  also-notify {
    193.55.95.200 key ns_master1-ns1.;
    10.10.1.6 key ns_master1-ns1.;
  };
  allow-update { none; };
};

